## cvlaplace cvlaplace |

## Synopsis

    struct              GstCvLaplace;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GstObject
                   +----GstElement
                         +----GstBaseTransform
                               +----GstVideoFilter
                                     +----GstOpencvVideoFilter
                                           +----GstCvLaplace

## Properties

      "aperture-size"            gint                  : Read / Write

## Description

## Synopsis

### Element Information

plugin | opencv
author | Thiago Santos<thiago.sousa.santos@collabora.co.uk>
class | Transform/Effect/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string)GRAY8, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw, format=(string)GRAY16_LE, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Details

### struct GstCvLaplace

    struct GstCvLaplace;

## Property Details

### The `"aperture-size"` property

      "aperture-size"            gint                  : Read / Write

Size of the extended Laplace Kernel (1, 3, 5 or 7).

Allowed values: [1,7]

Default value: 3